#include "CAbstractResource.hpp"

namespace CosmicCore {


    const char* typeToString(EResourceType type)
    {
        switch (type) {
        case EResourceType::RESOURCE_MESH:
            return "Mesh";
        case EResourceType::RESOURCE_MATERIAL:
            return "Material";
        default:
            return "UNKNOWN_RESOURCE";
        }
    }
}